Subject: Re: [bug#31447] [PATCH] linux-libre: Add aarch64-linux.

From: Vagrant Cascadian <[email-masked]>
Date: Sun, 20 May 2018 15:26:16 -0700

On 2018-05-20, Ludovic Courtès wrote:
> Vagrant Cascadian <[email-masked]> skribis:
>> I did try to restrict dtb installation based on architecture (only arm,
>> arm64 and mips linux architectures currently implement the dtbs_install
>> Makefile target), which would seem a little cleaner to me. My attempt
>> was essentially:
>>
>>   (if (string=? (getenv "ARCH") (or "arm" "arm64" "mips"))
>>     (invoke "make" "dtbs_install" ... )
>>   )
>
> You could do:
>
>  (when (member (getenv "ARCH") '("arm" "arm64" "mips"))
>    …)

Thanks for the suggestion.

> But I think what you did is even nicer (no need to hardwire the list of
> architectures.)

My only concern was the risk of an architecture which generates .dtb
files, but for some reason doesn't have the dtbs_install target.  Maybe
that's too hypothetical at this point, and it can be dealt with if it
ever comes up. :)

>> From 4e5ea2e07282b3c3125fc1922e729085a2e2706f Mon Sep 17 00:00:00 2001
>> From: Vagrant Cascadian <[email-masked]>
>> Date: Sat, 19 May 2018 21:08:41 +0000
>> Subject: [PATCH 2/2] gnu: linux-libre: Use "make dtbs_install" to install
>>  device tree files.
>>
>> * gnu/packages/linux.scm (make-linux-libre):
>>   Use "make dtbs_install" to install device tree files.
>
> I adjusted the indentation and committed.  Thank you!

Great!

live well,
  vagrant